# ------------------------------------------------------------------
# Licensed under the MIT License. See LICENCE in the project root.
# ------------------------------------------------------------------

## Xeon processors

abstract type IntelXeon <: IntelProcessor end

abstract type IntelXeon_W <: IntelXeon end
abstract type IntelXeon_D <: IntelXeon end

abstract type IntelXeon_E <: IntelXeon end

abstract type IntelXeon_E3 <: IntelXeon_E end
abstract type IntelXeon_E3_v2 <: IntelXeon_E3 end
abstract type IntelXeon_E3_v3 <: IntelXeon_E3 end
abstract type IntelXeon_E3_v4 <: IntelXeon_E3 end
abstract type IntelXeon_E3_v5 <: IntelXeon_E3 end
abstract type IntelXeon_E3_v6 <: IntelXeon_E3 end

abstract type IntelXeon_E5 <: IntelXeon_E end
abstract type IntelXeon_E5_v2 <: IntelXeon_E5 end
abstract type IntelXeon_E5_v3 <: IntelXeon_E5 end
abstract type IntelXeon_E5_v4 <: IntelXeon_E5 end

abstract type IntelXeon_E7 <: IntelXeon_E end
abstract type IntelXeon_E7_v2 <: IntelXeon_E7 end
abstract type IntelXeon_E7_v3 <: IntelXeon_E7 end
abstract type IntelXeon_E7_v4 <: IntelXeon_E7 end

abstract type IntelXeon_Scalable <: IntelXeon end
abstract type IntelXeon_Scalable_g2 <: IntelXeon_Scalable end
abstract type IntelXeon_Scalable_g3 <: IntelXeon_Scalable end

export IntelXeon,
       IntelXeon_D,
       IntelXeon_E,
       IntelXeon_E3,
       IntelXeon_E3_v2,
       IntelXeon_E3_v3,
       IntelXeon_E3_v4,
       IntelXeon_E3_v5,
       IntelXeon_E3_v6,
       IntelXeon_E5,
       IntelXeon_E5_v2,
       IntelXeon_E5_v3,
       IntelXeon_E5_v4,
       IntelXeon_E7,
       IntelXeon_E7_v2,
       IntelXeon_E7_v3,
       IntelXeon_E7_v4,
       IntelXeon_Scalable,
       IntelXeon_Scalable_g2,
       IntelXeon_Scalable_g3,
       IntelXeon_W


# Xeon processor models

abstract type IntelXeon_E_2286M <: IntelXeon_E end; export IntelXeon_E_2286M
    abstract type IntelXeon_E3_1285V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1285V6
    abstract type IntelXeon_E3_1501LV6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1501LV6
    abstract type IntelXeon_E3_1501MV6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1501MV6
    abstract type IntelXeon_E3_1225V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1225V6
    abstract type IntelXeon_E3_1245V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1245V6
    abstract type IntelXeon_E3_1275V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1275V6
    abstract type IntelXeon_E3_1505LV6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1505LV6
    abstract type IntelXeon_E3_1505MV6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1505MV6
    abstract type IntelXeon_E3_1535MV6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1535MV6
    abstract type IntelXeon_E3_1225V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1225V5
    abstract type IntelXeon_E3_1235LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1235LV5
    abstract type IntelXeon_E3_1245V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1245V5
    abstract type IntelXeon_E3_1268LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1268LV5
    abstract type IntelXeon_E3_1275V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1275V5
    abstract type IntelXeon_E3_1505LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1505LV5
    abstract type IntelXeon_E3_1505MV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1505MV5
    abstract type IntelXeon_E3_1535MV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1535MV5
    abstract type IntelXeon_E3_1268LV3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1268LV3
    abstract type IntelXeon_E3_1265LV2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1265LV2
    abstract type IntelXeon_E3_1260L <: IntelXeon_E3 end; export IntelXeon_E3_1260L
    abstract type IntelXeon_E3_1275LV3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1275LV3
    abstract type IntelXeon_E3_1265Lv3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1265Lv3
    abstract type IntelXeon_W_1250 <: IntelXeon_W end; export IntelXeon_W_1250
    abstract type IntelXeon_W_1250P <: IntelXeon_W end; export IntelXeon_W_1250P
    abstract type IntelXeon_W_1270 <: IntelXeon_W end; export IntelXeon_W_1270
    abstract type IntelXeon_W_1270P <: IntelXeon_W end; export IntelXeon_W_1270P
    abstract type IntelXeon_W_1290 <: IntelXeon_W end; export IntelXeon_W_1290
    abstract type IntelXeon_W_1290P <: IntelXeon_W end; export IntelXeon_W_1290P
    abstract type IntelXeon_W_1290T <: IntelXeon_W end; export IntelXeon_W_1290T
    abstract type IntelXeon_E_2254ME <: IntelXeon_E end; export IntelXeon_E_2254ME
    abstract type IntelXeon_E_2254ML <: IntelXeon_E end; export IntelXeon_E_2254ML
    abstract type IntelXeon_E_2276ME <: IntelXeon_E end; export IntelXeon_E_2276ME
    abstract type IntelXeon_E_2276ML <: IntelXeon_E end; export IntelXeon_E_2276ML
    abstract type IntelXeon_E_2224G <: IntelXeon_E end; export IntelXeon_E_2224G
    abstract type IntelXeon_E_2226G <: IntelXeon_E end; export IntelXeon_E_2226G
    abstract type IntelXeon_E_2244G <: IntelXeon_E end; export IntelXeon_E_2244G
    abstract type IntelXeon_E_2246G <: IntelXeon_E end; export IntelXeon_E_2246G
    abstract type IntelXeon_E_2274G <: IntelXeon_E end; export IntelXeon_E_2274G
    abstract type IntelXeon_E_2276G <: IntelXeon_E end; export IntelXeon_E_2276G
    abstract type IntelXeon_E_2276M <: IntelXeon_E end; export IntelXeon_E_2276M
    abstract type IntelXeon_E_2278G <: IntelXeon_E end; export IntelXeon_E_2278G
    abstract type IntelXeon_E_2286G <: IntelXeon_E end; export IntelXeon_E_2286G
    abstract type IntelXeon_E_2288G <: IntelXeon_E end; export IntelXeon_E_2288G
    abstract type IntelXeon_E_2124G <: IntelXeon_E end; export IntelXeon_E_2124G
    abstract type IntelXeon_E_2126G <: IntelXeon_E end; export IntelXeon_E_2126G
    abstract type IntelXeon_E_2144G <: IntelXeon_E end; export IntelXeon_E_2144G
    abstract type IntelXeon_E_2146G <: IntelXeon_E end; export IntelXeon_E_2146G
    abstract type IntelXeon_E_2174G <: IntelXeon_E end; export IntelXeon_E_2174G
    abstract type IntelXeon_E_2176G <: IntelXeon_E end; export IntelXeon_E_2176G
    abstract type IntelXeon_E_2186G <: IntelXeon_E end; export IntelXeon_E_2186G
    abstract type IntelXeon_E_2176M <: IntelXeon_E end; export IntelXeon_E_2176M
    abstract type IntelXeon_E_2186M <: IntelXeon_E end; export IntelXeon_E_2186M
    abstract type IntelXeon_W_1250E <: IntelXeon_W end; export IntelXeon_W_1250E
    abstract type IntelXeon_W_1250TE <: IntelXeon_W end; export IntelXeon_W_1250TE
    abstract type IntelXeon_W_1270E <: IntelXeon_W end; export IntelXeon_W_1270E
    abstract type IntelXeon_W_1270TE <: IntelXeon_W end; export IntelXeon_W_1270TE
    abstract type IntelXeon_W_1290E <: IntelXeon_W end; export IntelXeon_W_1290E
    abstract type IntelXeon_W_1290TE <: IntelXeon_W end; export IntelXeon_W_1290TE
    abstract type IntelXeon_E_2226GE <: IntelXeon_E end; export IntelXeon_E_2226GE
    abstract type IntelXeon_E_2278GE <: IntelXeon_E end; export IntelXeon_E_2278GE
    abstract type IntelXeon_E_2278GEL <: IntelXeon_E end; export IntelXeon_E_2278GEL
    abstract type IntelXeon_W_11155MLE <: IntelXeon_W end; export IntelXeon_W_11155MLE
    abstract type IntelXeon_W_11155MRE <: IntelXeon_W end; export IntelXeon_W_11155MRE
    abstract type IntelXeon_W_11555MLE <: IntelXeon_W end; export IntelXeon_W_11555MLE
    abstract type IntelXeon_W_11555MRE <: IntelXeon_W end; export IntelXeon_W_11555MRE
    abstract type IntelXeon_W_11865MLE <: IntelXeon_W end; export IntelXeon_W_11865MLE
    abstract type IntelXeon_W_11865MRE <: IntelXeon_W end; export IntelXeon_W_11865MRE
    abstract type IntelXeon_W_11855M <: IntelXeon_W end; export IntelXeon_W_11855M
    abstract type IntelXeon_W_11955M <: IntelXeon_W end; export IntelXeon_W_11955M
    abstract type IntelXeon_W_10855M <: IntelXeon_W end; export IntelXeon_W_10855M
    abstract type IntelXeon_W_10885M <: IntelXeon_W end; export IntelXeon_W_10885M
    abstract type IntelXeon_E3_1565LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1565LV5
    abstract type IntelXeon_E3_1578LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1578LV5
    abstract type IntelXeon_E3_1585V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1585V5
    abstract type IntelXeon_E3_1585LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1585LV5
    abstract type IntelXeon_E3_1515MV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1515MV5
    abstract type IntelXeon_E3_1545MV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1545MV5
    abstract type IntelXeon_E3_1575MV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1575MV5
    abstract type IntelXeon_5315Y <: IntelXeon_Scalable_g3 end; export IntelXeon_5315Y
    abstract type IntelXeon_5317 <: IntelXeon_Scalable_g3 end; export IntelXeon_5317
    abstract type IntelXeon_5318N <: IntelXeon_Scalable_g3 end; export IntelXeon_5318N
    abstract type IntelXeon_5318S <: IntelXeon_Scalable_g3 end; export IntelXeon_5318S
    abstract type IntelXeon_5318Y <: IntelXeon_Scalable_g3 end; export IntelXeon_5318Y
    abstract type IntelXeon_5320 <: IntelXeon_Scalable_g3 end; export IntelXeon_5320
    abstract type IntelXeon_5320T <: IntelXeon_Scalable_g3 end; export IntelXeon_5320T
    abstract type IntelXeon_6312U <: IntelXeon_Scalable_g3 end; export IntelXeon_6312U
    abstract type IntelXeon_6314U <: IntelXeon_Scalable_g3 end; export IntelXeon_6314U
    abstract type IntelXeon_6326 <: IntelXeon_Scalable_g3 end; export IntelXeon_6326
    abstract type IntelXeon_6330 <: IntelXeon_Scalable_g3 end; export IntelXeon_6330
    abstract type IntelXeon_6330N <: IntelXeon_Scalable_g3 end; export IntelXeon_6330N
    abstract type IntelXeon_6334 <: IntelXeon_Scalable_g3 end; export IntelXeon_6334
    abstract type IntelXeon_6336Y <: IntelXeon_Scalable_g3 end; export IntelXeon_6336Y
    abstract type IntelXeon_6338 <: IntelXeon_Scalable_g3 end; export IntelXeon_6338
    abstract type IntelXeon_6338N <: IntelXeon_Scalable_g3 end; export IntelXeon_6338N
    abstract type IntelXeon_6338T <: IntelXeon_Scalable_g3 end; export IntelXeon_6338T
    abstract type IntelXeon_6342 <: IntelXeon_Scalable_g3 end; export IntelXeon_6342
    abstract type IntelXeon_6346 <: IntelXeon_Scalable_g3 end; export IntelXeon_6346
    abstract type IntelXeon_6348 <: IntelXeon_Scalable_g3 end; export IntelXeon_6348
    abstract type IntelXeon_6354 <: IntelXeon_Scalable_g3 end; export IntelXeon_6354
    abstract type IntelXeon_8351N <: IntelXeon_Scalable_g3 end; export IntelXeon_8351N
    abstract type IntelXeon_8352M <: IntelXeon_Scalable_g3 end; export IntelXeon_8352M
    abstract type IntelXeon_8352S <: IntelXeon_Scalable_g3 end; export IntelXeon_8352S
    abstract type IntelXeon_8352V <: IntelXeon_Scalable_g3 end; export IntelXeon_8352V
    abstract type IntelXeon_8352Y <: IntelXeon_Scalable_g3 end; export IntelXeon_8352Y
    abstract type IntelXeon_8358 <: IntelXeon_Scalable_g3 end; export IntelXeon_8358
    abstract type IntelXeon_8358P <: IntelXeon_Scalable_g3 end; export IntelXeon_8358P
    abstract type IntelXeon_8362 <: IntelXeon_Scalable_g3 end; export IntelXeon_8362
    abstract type IntelXeon_8368 <: IntelXeon_Scalable_g3 end; export IntelXeon_8368
    abstract type IntelXeon_8368Q <: IntelXeon_Scalable_g3 end; export IntelXeon_8368Q
    abstract type IntelXeon_8380 <: IntelXeon_Scalable_g3 end; export IntelXeon_8380
    abstract type IntelXeon_4309Y <: IntelXeon_Scalable_g3 end; export IntelXeon_4309Y
    abstract type IntelXeon_4310 <: IntelXeon_Scalable_g3 end; export IntelXeon_4310
    abstract type IntelXeon_4310T <: IntelXeon_Scalable_g3 end; export IntelXeon_4310T
    abstract type IntelXeon_4314 <: IntelXeon_Scalable_g3 end; export IntelXeon_4314
    abstract type IntelXeon_4316 <: IntelXeon_Scalable_g3 end; export IntelXeon_4316
    abstract type IntelXeon_6330H <: IntelXeon_Scalable_g3 end; export IntelXeon_6330H
    abstract type IntelXeon_8356H <: IntelXeon_Scalable_g3 end; export IntelXeon_8356H
    abstract type IntelXeon_8360H <: IntelXeon_Scalable_g3 end; export IntelXeon_8360H
    abstract type IntelXeon_8360HL <: IntelXeon_Scalable_g3 end; export IntelXeon_8360HL
    abstract type IntelXeon_5318H <: IntelXeon_Scalable_g3 end; export IntelXeon_5318H
    abstract type IntelXeon_5320H <: IntelXeon_Scalable_g3 end; export IntelXeon_5320H
    abstract type IntelXeon_6328H <: IntelXeon_Scalable_g3 end; export IntelXeon_6328H
    abstract type IntelXeon_6328HL <: IntelXeon_Scalable_g3 end; export IntelXeon_6328HL
    abstract type IntelXeon_6348H <: IntelXeon_Scalable_g3 end; export IntelXeon_6348H
    abstract type IntelXeon_8353H <: IntelXeon_Scalable_g3 end; export IntelXeon_8353H
    abstract type IntelXeon_8354H <: IntelXeon_Scalable_g3 end; export IntelXeon_8354H
    abstract type IntelXeon_8376H <: IntelXeon_Scalable_g3 end; export IntelXeon_8376H
    abstract type IntelXeon_8376HL <: IntelXeon_Scalable_g3 end; export IntelXeon_8376HL
    abstract type IntelXeon_8380H <: IntelXeon_Scalable_g3 end; export IntelXeon_8380H
    abstract type IntelXeon_3206R <: IntelXeon_Scalable_g2 end; export IntelXeon_3206R
    abstract type IntelXeon_5218R <: IntelXeon_Scalable_g2 end; export IntelXeon_5218R
    abstract type IntelXeon_5220R <: IntelXeon_Scalable_g2 end; export IntelXeon_5220R
    abstract type IntelXeon_6208U <: IntelXeon_Scalable_g2 end; export IntelXeon_6208U
    abstract type IntelXeon_6226R <: IntelXeon_Scalable_g2 end; export IntelXeon_6226R
    abstract type IntelXeon_6230R <: IntelXeon_Scalable_g2 end; export IntelXeon_6230R
    abstract type IntelXeon_6238R <: IntelXeon_Scalable_g2 end; export IntelXeon_6238R
    abstract type IntelXeon_6240R <: IntelXeon_Scalable_g2 end; export IntelXeon_6240R
    abstract type IntelXeon_6242R <: IntelXeon_Scalable_g2 end; export IntelXeon_6242R
    abstract type IntelXeon_6246R <: IntelXeon_Scalable_g2 end; export IntelXeon_6246R
    abstract type IntelXeon_6248R <: IntelXeon_Scalable_g2 end; export IntelXeon_6248R
    abstract type IntelXeon_6250 <: IntelXeon_Scalable_g2 end; export IntelXeon_6250
    abstract type IntelXeon_6250L <: IntelXeon_Scalable_g2 end; export IntelXeon_6250L
    abstract type IntelXeon_6256 <: IntelXeon_Scalable_g2 end; export IntelXeon_6256
    abstract type IntelXeon_6258R <: IntelXeon_Scalable_g2 end; export IntelXeon_6258R
    abstract type IntelXeon_4210R <: IntelXeon_Scalable_g2 end; export IntelXeon_4210R
    abstract type IntelXeon_4210T <: IntelXeon_Scalable_g2 end; export IntelXeon_4210T
    abstract type IntelXeon_4214R <: IntelXeon_Scalable_g2 end; export IntelXeon_4214R
    abstract type IntelXeon_4215R <: IntelXeon_Scalable_g2 end; export IntelXeon_4215R
    abstract type IntelXeon_9221 <: IntelXeon_Scalable_g2 end; export IntelXeon_9221
    abstract type IntelXeon_9222 <: IntelXeon_Scalable_g2 end; export IntelXeon_9222
    abstract type IntelXeon_3204 <: IntelXeon_Scalable_g2 end; export IntelXeon_3204
    abstract type IntelXeon_5215 <: IntelXeon_Scalable_g2 end; export IntelXeon_5215
    abstract type IntelXeon_5215L <: IntelXeon_Scalable_g2 end; export IntelXeon_5215L
    abstract type IntelXeon_5217 <: IntelXeon_Scalable_g2 end; export IntelXeon_5217
    abstract type IntelXeon_5218 <: IntelXeon_Scalable_g2 end; export IntelXeon_5218
    abstract type IntelXeon_5218B <: IntelXeon_Scalable_g2 end; export IntelXeon_5218B
    abstract type IntelXeon_5218N <: IntelXeon_Scalable_g2 end; export IntelXeon_5218N
    abstract type IntelXeon_5218T <: IntelXeon_Scalable_g2 end; export IntelXeon_5218T
    abstract type IntelXeon_5220 <: IntelXeon_Scalable_g2 end; export IntelXeon_5220
    abstract type IntelXeon_5220S <: IntelXeon_Scalable_g2 end; export IntelXeon_5220S
    abstract type IntelXeon_5220T <: IntelXeon_Scalable_g2 end; export IntelXeon_5220T
    abstract type IntelXeon_5222 <: IntelXeon_Scalable_g2 end; export IntelXeon_5222
    abstract type IntelXeon_6209U <: IntelXeon_Scalable_g2 end; export IntelXeon_6209U
    abstract type IntelXeon_6210U <: IntelXeon_Scalable_g2 end; export IntelXeon_6210U
    abstract type IntelXeon_6212U <: IntelXeon_Scalable_g2 end; export IntelXeon_6212U
    abstract type IntelXeon_6222V <: IntelXeon_Scalable_g2 end; export IntelXeon_6222V
    abstract type IntelXeon_6226 <: IntelXeon_Scalable_g2 end; export IntelXeon_6226
    abstract type IntelXeon_6230 <: IntelXeon_Scalable_g2 end; export IntelXeon_6230
    abstract type IntelXeon_6230N <: IntelXeon_Scalable_g2 end; export IntelXeon_6230N
    abstract type IntelXeon_6230T <: IntelXeon_Scalable_g2 end; export IntelXeon_6230T
    abstract type IntelXeon_6234 <: IntelXeon_Scalable_g2 end; export IntelXeon_6234
    abstract type IntelXeon_6238 <: IntelXeon_Scalable_g2 end; export IntelXeon_6238
    abstract type IntelXeon_6238L <: IntelXeon_Scalable_g2 end; export IntelXeon_6238L
    abstract type IntelXeon_6238T <: IntelXeon_Scalable_g2 end; export IntelXeon_6238T
    abstract type IntelXeon_6240 <: IntelXeon_Scalable_g2 end; export IntelXeon_6240
    abstract type IntelXeon_6240L <: IntelXeon_Scalable_g2 end; export IntelXeon_6240L
    abstract type IntelXeon_6240Y <: IntelXeon_Scalable_g2 end; export IntelXeon_6240Y
    abstract type IntelXeon_6242 <: IntelXeon_Scalable_g2 end; export IntelXeon_6242
    abstract type IntelXeon_6244 <: IntelXeon_Scalable_g2 end; export IntelXeon_6244
    abstract type IntelXeon_6246 <: IntelXeon_Scalable_g2 end; export IntelXeon_6246
    abstract type IntelXeon_6248 <: IntelXeon_Scalable_g2 end; export IntelXeon_6248
    abstract type IntelXeon_6252 <: IntelXeon_Scalable_g2 end; export IntelXeon_6252
    abstract type IntelXeon_6252N <: IntelXeon_Scalable_g2 end; export IntelXeon_6252N
    abstract type IntelXeon_6254 <: IntelXeon_Scalable_g2 end; export IntelXeon_6254
    abstract type IntelXeon_6262V <: IntelXeon_Scalable_g2 end; export IntelXeon_6262V
    abstract type IntelXeon_8253 <: IntelXeon_Scalable_g2 end; export IntelXeon_8253
    abstract type IntelXeon_8256 <: IntelXeon_Scalable_g2 end; export IntelXeon_8256
    abstract type IntelXeon_8259 <: IntelXeon_Scalable_g2 end; export IntelXeon_8259
    abstract type IntelXeon_8260 <: IntelXeon_Scalable_g2 end; export IntelXeon_8260
    abstract type IntelXeon_8260L <: IntelXeon_Scalable_g2 end; export IntelXeon_8260L
    abstract type IntelXeon_8260Y <: IntelXeon_Scalable_g2 end; export IntelXeon_8260Y
    abstract type IntelXeon_8268 <: IntelXeon_Scalable_g2 end; export IntelXeon_8268
    abstract type IntelXeon_8270 <: IntelXeon_Scalable_g2 end; export IntelXeon_8270
    abstract type IntelXeon_8275CL <: IntelXeon_Scalable_g2 end; export IntelXeon_8275CL
    abstract type IntelXeon_8276 <: IntelXeon_Scalable_g2 end; export IntelXeon_8276
    abstract type IntelXeon_8276L <: IntelXeon_Scalable_g2 end; export IntelXeon_8276L
    abstract type IntelXeon_8280 <: IntelXeon_Scalable_g2 end; export IntelXeon_8280
    abstract type IntelXeon_8280L <: IntelXeon_Scalable_g2 end; export IntelXeon_8280L
    abstract type IntelXeon_9242 <: IntelXeon_Scalable_g2 end; export IntelXeon_9242
    abstract type IntelXeon_9282 <: IntelXeon_Scalable_g2 end; export IntelXeon_9282
    abstract type IntelXeon_4208 <: IntelXeon_Scalable_g2 end; export IntelXeon_4208
    abstract type IntelXeon_4209T <: IntelXeon_Scalable_g2 end; export IntelXeon_4209T
    abstract type IntelXeon_4210 <: IntelXeon_Scalable_g2 end; export IntelXeon_4210
    abstract type IntelXeon_4214 <: IntelXeon_Scalable_g2 end; export IntelXeon_4214
    abstract type IntelXeon_4214Y <: IntelXeon_Scalable_g2 end; export IntelXeon_4214Y
    abstract type IntelXeon_4215 <: IntelXeon_Scalable_g2 end; export IntelXeon_4215
    abstract type IntelXeon_4216 <: IntelXeon_Scalable_g2 end; export IntelXeon_4216
    abstract type IntelXeon_6138P <: IntelXeon_Scalable end; export IntelXeon_6138P
    abstract type IntelXeon_3104 <: IntelXeon_Scalable end; export IntelXeon_3104
    abstract type IntelXeon_3106 <: IntelXeon_Scalable end; export IntelXeon_3106
    abstract type IntelXeon_5115 <: IntelXeon_Scalable end; export IntelXeon_5115
    abstract type IntelXeon_5118 <: IntelXeon_Scalable end; export IntelXeon_5118
    abstract type IntelXeon_5119T <: IntelXeon_Scalable end; export IntelXeon_5119T
    abstract type IntelXeon_5120 <: IntelXeon_Scalable end; export IntelXeon_5120
    abstract type IntelXeon_5120T <: IntelXeon_Scalable end; export IntelXeon_5120T
    abstract type IntelXeon_5122 <: IntelXeon_Scalable end; export IntelXeon_5122
    abstract type IntelXeon_6126 <: IntelXeon_Scalable end; export IntelXeon_6126
    abstract type IntelXeon_6126F <: IntelXeon_Scalable end; export IntelXeon_6126F
    abstract type IntelXeon_6126T <: IntelXeon_Scalable end; export IntelXeon_6126T
    abstract type IntelXeon_6128 <: IntelXeon_Scalable end; export IntelXeon_6128
    abstract type IntelXeon_6130 <: IntelXeon_Scalable end; export IntelXeon_6130
    abstract type IntelXeon_6130F <: IntelXeon_Scalable end; export IntelXeon_6130F
    abstract type IntelXeon_6130T <: IntelXeon_Scalable end; export IntelXeon_6130T
    abstract type IntelXeon_6132 <: IntelXeon_Scalable end; export IntelXeon_6132
    abstract type IntelXeon_6134 <: IntelXeon_Scalable end; export IntelXeon_6134
    abstract type IntelXeon_6136 <: IntelXeon_Scalable end; export IntelXeon_6136
    abstract type IntelXeon_6138 <: IntelXeon_Scalable end; export IntelXeon_6138
    abstract type IntelXeon_6138F <: IntelXeon_Scalable end; export IntelXeon_6138F
    abstract type IntelXeon_6138T <: IntelXeon_Scalable end; export IntelXeon_6138T
    abstract type IntelXeon_6140 <: IntelXeon_Scalable end; export IntelXeon_6140
    abstract type IntelXeon_6142 <: IntelXeon_Scalable end; export IntelXeon_6142
    abstract type IntelXeon_6142F <: IntelXeon_Scalable end; export IntelXeon_6142F
    abstract type IntelXeon_6144 <: IntelXeon_Scalable end; export IntelXeon_6144
    abstract type IntelXeon_6146 <: IntelXeon_Scalable end; export IntelXeon_6146
    abstract type IntelXeon_6148 <: IntelXeon_Scalable end; export IntelXeon_6148
    abstract type IntelXeon_6148F <: IntelXeon_Scalable end; export IntelXeon_6148F
    abstract type IntelXeon_6150 <: IntelXeon_Scalable end; export IntelXeon_6150
    abstract type IntelXeon_6152 <: IntelXeon_Scalable end; export IntelXeon_6152
    abstract type IntelXeon_6154 <: IntelXeon_Scalable end; export IntelXeon_6154
    abstract type IntelXeon_8124M <: IntelXeon_Scalable end; export IntelXeon_8124M
    abstract type IntelXeon_8151 <: IntelXeon_Scalable end; export IntelXeon_8151
    abstract type IntelXeon_8153 <: IntelXeon_Scalable end; export IntelXeon_8153
    abstract type IntelXeon_8156 <: IntelXeon_Scalable end; export IntelXeon_8156
    abstract type IntelXeon_8158 <: IntelXeon_Scalable end; export IntelXeon_8158
    abstract type IntelXeon_8160 <: IntelXeon_Scalable end; export IntelXeon_8160
    abstract type IntelXeon_8160F <: IntelXeon_Scalable end; export IntelXeon_8160F
    abstract type IntelXeon_8160T <: IntelXeon_Scalable end; export IntelXeon_8160T
    abstract type IntelXeon_8164 <: IntelXeon_Scalable end; export IntelXeon_8164
    abstract type IntelXeon_8168 <: IntelXeon_Scalable end; export IntelXeon_8168
    abstract type IntelXeon_8170 <: IntelXeon_Scalable end; export IntelXeon_8170
    abstract type IntelXeon_8175 <: IntelXeon_Scalable end; export IntelXeon_8175
    abstract type IntelXeon_8176 <: IntelXeon_Scalable end; export IntelXeon_8176
    abstract type IntelXeon_8176F <: IntelXeon_Scalable end; export IntelXeon_8176F
    abstract type IntelXeon_8180 <: IntelXeon_Scalable end; export IntelXeon_8180
    abstract type IntelXeon_4108 <: IntelXeon_Scalable end; export IntelXeon_4108
    abstract type IntelXeon_4109T <: IntelXeon_Scalable end; export IntelXeon_4109T
    abstract type IntelXeon_4110 <: IntelXeon_Scalable end; export IntelXeon_4110
    abstract type IntelXeon_4112 <: IntelXeon_Scalable end; export IntelXeon_4112
    abstract type IntelXeon_4114T <: IntelXeon_Scalable end; export IntelXeon_4114T
    abstract type IntelXeon_4116 <: IntelXeon_Scalable end; export IntelXeon_4116
    abstract type IntelXeon_4116T <: IntelXeon_Scalable end; export IntelXeon_4116T
    abstract type IntelXeon_E_2314 <: IntelXeon_E end; export IntelXeon_E_2314
    abstract type IntelXeon_E_2324G <: IntelXeon_E end; export IntelXeon_E_2324G
    abstract type IntelXeon_E_2334 <: IntelXeon_E end; export IntelXeon_E_2334
    abstract type IntelXeon_E_2336 <: IntelXeon_E end; export IntelXeon_E_2336
    abstract type IntelXeon_E_2356G <: IntelXeon_E end; export IntelXeon_E_2356G
    abstract type IntelXeon_E_2374G <: IntelXeon_E end; export IntelXeon_E_2374G
    abstract type IntelXeon_E_2378 <: IntelXeon_E end; export IntelXeon_E_2378
    abstract type IntelXeon_E_2378G <: IntelXeon_E end; export IntelXeon_E_2378G
    abstract type IntelXeon_E_2386G <: IntelXeon_E end; export IntelXeon_E_2386G
    abstract type IntelXeon_E_2388G <: IntelXeon_E end; export IntelXeon_E_2388G
    abstract type IntelXeon_E_2224 <: IntelXeon_E end; export IntelXeon_E_2224
    abstract type IntelXeon_E_2234 <: IntelXeon_E end; export IntelXeon_E_2234
    abstract type IntelXeon_E_2236 <: IntelXeon_E end; export IntelXeon_E_2236
    abstract type IntelXeon_E_2124 <: IntelXeon_E end; export IntelXeon_E_2124
    abstract type IntelXeon_E_2134 <: IntelXeon_E end; export IntelXeon_E_2134
    abstract type IntelXeon_E_2136 <: IntelXeon_E end; export IntelXeon_E_2136
    abstract type IntelXeon_W_3323 <: IntelXeon_W end; export IntelXeon_W_3323
    abstract type IntelXeon_W_3335 <: IntelXeon_W end; export IntelXeon_W_3335
    abstract type IntelXeon_W_3345 <: IntelXeon_W end; export IntelXeon_W_3345
    abstract type IntelXeon_W_3365 <: IntelXeon_W end; export IntelXeon_W_3365
    abstract type IntelXeon_W_3375 <: IntelXeon_W end; export IntelXeon_W_3375
    abstract type IntelXeon_W_1350 <: IntelXeon_W end; export IntelXeon_W_1350
    abstract type IntelXeon_W_1350P <: IntelXeon_W end; export IntelXeon_W_1350P
    abstract type IntelXeon_W_1370 <: IntelXeon_W end; export IntelXeon_W_1370
    abstract type IntelXeon_W_1370P <: IntelXeon_W end; export IntelXeon_W_1370P
    abstract type IntelXeon_W_1390 <: IntelXeon_W end; export IntelXeon_W_1390
    abstract type IntelXeon_W_1390P <: IntelXeon_W end; export IntelXeon_W_1390P
    abstract type IntelXeon_W_1390T <: IntelXeon_W end; export IntelXeon_W_1390T
    abstract type IntelXeon_W_2223 <: IntelXeon_W end; export IntelXeon_W_2223
    abstract type IntelXeon_W_2225 <: IntelXeon_W end; export IntelXeon_W_2225
    abstract type IntelXeon_W_2235 <: IntelXeon_W end; export IntelXeon_W_2235
    abstract type IntelXeon_W_2245 <: IntelXeon_W end; export IntelXeon_W_2245
    abstract type IntelXeon_W_2255 <: IntelXeon_W end; export IntelXeon_W_2255
    abstract type IntelXeon_W_2265 <: IntelXeon_W end; export IntelXeon_W_2265
    abstract type IntelXeon_W_2275 <: IntelXeon_W end; export IntelXeon_W_2275
    abstract type IntelXeon_W_2295 <: IntelXeon_W end; export IntelXeon_W_2295
    abstract type IntelXeon_W_3223 <: IntelXeon_W end; export IntelXeon_W_3223
    abstract type IntelXeon_W_3225 <: IntelXeon_W end; export IntelXeon_W_3225
    abstract type IntelXeon_W_3235 <: IntelXeon_W end; export IntelXeon_W_3235
    abstract type IntelXeon_W_3245 <: IntelXeon_W end; export IntelXeon_W_3245
    abstract type IntelXeon_W_3245M <: IntelXeon_W end; export IntelXeon_W_3245M
    abstract type IntelXeon_W_3265 <: IntelXeon_W end; export IntelXeon_W_3265
    abstract type IntelXeon_W_3265M <: IntelXeon_W end; export IntelXeon_W_3265M
    abstract type IntelXeon_W_3275 <: IntelXeon_W end; export IntelXeon_W_3275
    abstract type IntelXeon_W_3275M <: IntelXeon_W end; export IntelXeon_W_3275M
    abstract type IntelXeon_W_3175X <: IntelXeon_W end; export IntelXeon_W_3175X
    abstract type IntelXeon_W_2123 <: IntelXeon_W end; export IntelXeon_W_2123
    abstract type IntelXeon_W_2125 <: IntelXeon_W end; export IntelXeon_W_2125
    abstract type IntelXeon_W_2133 <: IntelXeon_W end; export IntelXeon_W_2133
    abstract type IntelXeon_W_2135 <: IntelXeon_W end; export IntelXeon_W_2135
    abstract type IntelXeon_W_2145 <: IntelXeon_W end; export IntelXeon_W_2145
    abstract type IntelXeon_W_2155 <: IntelXeon_W end; export IntelXeon_W_2155
    abstract type IntelXeon_W_2175 <: IntelXeon_W end; export IntelXeon_W_2175
    abstract type IntelXeon_W_2195 <: IntelXeon_W end; export IntelXeon_W_2195
    abstract type IntelXeon_D_1702 <: IntelXeon_D end; export IntelXeon_D_1702
    abstract type IntelXeon_D_1712TR <: IntelXeon_D end; export IntelXeon_D_1712TR
    abstract type IntelXeon_D_1713NT <: IntelXeon_D end; export IntelXeon_D_1713NT
    abstract type IntelXeon_D_1713NTE <: IntelXeon_D end; export IntelXeon_D_1713NTE
    abstract type IntelXeon_D_1714 <: IntelXeon_D end; export IntelXeon_D_1714
    abstract type IntelXeon_D_1715TER <: IntelXeon_D end; export IntelXeon_D_1715TER
    abstract type IntelXeon_D_1718T <: IntelXeon_D end; export IntelXeon_D_1718T
    abstract type IntelXeon_D_1722NE <: IntelXeon_D end; export IntelXeon_D_1722NE
    abstract type IntelXeon_D_1726 <: IntelXeon_D end; export IntelXeon_D_1726
    abstract type IntelXeon_D_1732TE <: IntelXeon_D end; export IntelXeon_D_1732TE
    abstract type IntelXeon_D_1733NT <: IntelXeon_D end; export IntelXeon_D_1733NT
    abstract type IntelXeon_D_1734NT <: IntelXeon_D end; export IntelXeon_D_1734NT
    abstract type IntelXeon_D_1735TR <: IntelXeon_D end; export IntelXeon_D_1735TR
    abstract type IntelXeon_D_1736 <: IntelXeon_D end; export IntelXeon_D_1736
    abstract type IntelXeon_D_1736NT <: IntelXeon_D end; export IntelXeon_D_1736NT
    abstract type IntelXeon_D_1739 <: IntelXeon_D end; export IntelXeon_D_1739
    abstract type IntelXeon_D_1746TER <: IntelXeon_D end; export IntelXeon_D_1746TER
    abstract type IntelXeon_D_1747NTE <: IntelXeon_D end; export IntelXeon_D_1747NTE
    abstract type IntelXeon_D_1748TE <: IntelXeon_D end; export IntelXeon_D_1748TE
    abstract type IntelXeon_D_1749NT <: IntelXeon_D end; export IntelXeon_D_1749NT
    abstract type IntelXeon_D_2712T <: IntelXeon_D end; export IntelXeon_D_2712T
    abstract type IntelXeon_D_2733NT <: IntelXeon_D end; export IntelXeon_D_2733NT
    abstract type IntelXeon_D_2738 <: IntelXeon_D end; export IntelXeon_D_2738
    abstract type IntelXeon_D_2752NTE <: IntelXeon_D end; export IntelXeon_D_2752NTE
    abstract type IntelXeon_D_2752TER <: IntelXeon_D end; export IntelXeon_D_2752TER
    abstract type IntelXeon_D_2753NT <: IntelXeon_D end; export IntelXeon_D_2753NT
    abstract type IntelXeon_D_2766NT <: IntelXeon_D end; export IntelXeon_D_2766NT
    abstract type IntelXeon_D_2775TE <: IntelXeon_D end; export IntelXeon_D_2775TE
    abstract type IntelXeon_D_2776NT <: IntelXeon_D end; export IntelXeon_D_2776NT
    abstract type IntelXeon_D_2779 <: IntelXeon_D end; export IntelXeon_D_2779
    abstract type IntelXeon_D_2786NTE <: IntelXeon_D end; export IntelXeon_D_2786NTE
    abstract type IntelXeon_D_2795NT <: IntelXeon_D end; export IntelXeon_D_2795NT
    abstract type IntelXeon_D_2796NT <: IntelXeon_D end; export IntelXeon_D_2796NT
    abstract type IntelXeon_D_2796TE <: IntelXeon_D end; export IntelXeon_D_2796TE
    abstract type IntelXeon_D_2798NT <: IntelXeon_D end; export IntelXeon_D_2798NT
    abstract type IntelXeon_D_2799 <: IntelXeon_D end; export IntelXeon_D_2799
    abstract type IntelXeon_D_1602 <: IntelXeon_D end; export IntelXeon_D_1602
    abstract type IntelXeon_D_1622 <: IntelXeon_D end; export IntelXeon_D_1622
    abstract type IntelXeon_D_1623N <: IntelXeon_D end; export IntelXeon_D_1623N
    abstract type IntelXeon_D_1627 <: IntelXeon_D end; export IntelXeon_D_1627
    abstract type IntelXeon_D_1633N <: IntelXeon_D end; export IntelXeon_D_1633N
    abstract type IntelXeon_D_1637 <: IntelXeon_D end; export IntelXeon_D_1637
    abstract type IntelXeon_D_1649N <: IntelXeon_D end; export IntelXeon_D_1649N
    abstract type IntelXeon_D_1653N <: IntelXeon_D end; export IntelXeon_D_1653N
    abstract type IntelXeon_D_2123IT <: IntelXeon_D end; export IntelXeon_D_2123IT
    abstract type IntelXeon_D_2141I <: IntelXeon_D end; export IntelXeon_D_2141I
    abstract type IntelXeon_D_2142IT <: IntelXeon_D end; export IntelXeon_D_2142IT
    abstract type IntelXeon_D_2143IT <: IntelXeon_D end; export IntelXeon_D_2143IT
    abstract type IntelXeon_D_2145NT <: IntelXeon_D end; export IntelXeon_D_2145NT
    abstract type IntelXeon_D_2161I <: IntelXeon_D end; export IntelXeon_D_2161I
    abstract type IntelXeon_D_2163IT <: IntelXeon_D end; export IntelXeon_D_2163IT
    abstract type IntelXeon_D_2166NT <: IntelXeon_D end; export IntelXeon_D_2166NT
    abstract type IntelXeon_D_2173IT <: IntelXeon_D end; export IntelXeon_D_2173IT
    abstract type IntelXeon_D_2177NT <: IntelXeon_D end; export IntelXeon_D_2177NT
    abstract type IntelXeon_D_2183IT <: IntelXeon_D end; export IntelXeon_D_2183IT
    abstract type IntelXeon_D_2187NT <: IntelXeon_D end; export IntelXeon_D_2187NT
    abstract type IntelXeon_D_1513N <: IntelXeon_D end; export IntelXeon_D_1513N
    abstract type IntelXeon_D_1523N <: IntelXeon_D end; export IntelXeon_D_1523N
    abstract type IntelXeon_D_1533N <: IntelXeon_D end; export IntelXeon_D_1533N
    abstract type IntelXeon_D_1543N <: IntelXeon_D end; export IntelXeon_D_1543N
    abstract type IntelXeon_D_1553N <: IntelXeon_D end; export IntelXeon_D_1553N
    abstract type IntelXeon_D_1529 <: IntelXeon_D end; export IntelXeon_D_1529
    abstract type IntelXeon_D_1539 <: IntelXeon_D end; export IntelXeon_D_1539
    abstract type IntelXeon_D_1559 <: IntelXeon_D end; export IntelXeon_D_1559
    abstract type IntelXeon_D_1557 <: IntelXeon_D end; export IntelXeon_D_1557
    abstract type IntelXeon_D_1567 <: IntelXeon_D end; export IntelXeon_D_1567
    abstract type IntelXeon_D_1571 <: IntelXeon_D end; export IntelXeon_D_1571
    abstract type IntelXeon_D_1577 <: IntelXeon_D end; export IntelXeon_D_1577
    abstract type IntelXeon_D_1518 <: IntelXeon_D end; export IntelXeon_D_1518
    abstract type IntelXeon_D_1521 <: IntelXeon_D end; export IntelXeon_D_1521
    abstract type IntelXeon_D_1527 <: IntelXeon_D end; export IntelXeon_D_1527
    abstract type IntelXeon_D_1528 <: IntelXeon_D end; export IntelXeon_D_1528
    abstract type IntelXeon_D_1531 <: IntelXeon_D end; export IntelXeon_D_1531
    abstract type IntelXeon_D_1537 <: IntelXeon_D end; export IntelXeon_D_1537
    abstract type IntelXeon_D_1541 <: IntelXeon_D end; export IntelXeon_D_1541
    abstract type IntelXeon_D_1548 <: IntelXeon_D end; export IntelXeon_D_1548
    abstract type IntelXeon_D_1520 <: IntelXeon_D end; export IntelXeon_D_1520
    abstract type IntelXeon_D_1540 <: IntelXeon_D end; export IntelXeon_D_1540
    abstract type IntelXeon_E7_8894V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8894V4
    abstract type IntelXeon_E7_4809V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_4809V4
    abstract type IntelXeon_E7_4820V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_4820V4
    abstract type IntelXeon_E7_4830V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_4830V4
    abstract type IntelXeon_E7_4850V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_4850V4
    abstract type IntelXeon_E7_8860V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8860V4
    abstract type IntelXeon_E7_8867V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8867V4
    abstract type IntelXeon_E7_8870V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8870V4
    abstract type IntelXeon_E7_8880V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8880V4
    abstract type IntelXeon_E7_8890V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8890V4
    abstract type IntelXeon_E7_8891V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8891V4
    abstract type IntelXeon_E7_8893V4 <: IntelXeon_E7_v4 end; export IntelXeon_E7_8893V4
    abstract type IntelXeon_E7_4809V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_4809V3
    abstract type IntelXeon_E7_4820V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_4820V3
    abstract type IntelXeon_E7_4830V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_4830V3
    abstract type IntelXeon_E7_4850V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_4850V3
    abstract type IntelXeon_E7_8860V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8860V3
    abstract type IntelXeon_E7_8867V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8867V3
    abstract type IntelXeon_E7_8870V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8870V3
    abstract type IntelXeon_E7_8880V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8880V3
    abstract type IntelXeon_E7_8880LV3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8880LV3
    abstract type IntelXeon_E7_8890V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8890V3
    abstract type IntelXeon_E7_8891V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8891V3
    abstract type IntelXeon_E7_8893V3 <: IntelXeon_E7_v3 end; export IntelXeon_E7_8893V3
    abstract type IntelXeon_E7_2850V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_2850V2
    abstract type IntelXeon_E7_2870V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_2870V2
    abstract type IntelXeon_E7_2880V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_2880V2
    abstract type IntelXeon_E7_2890V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_2890V2
    abstract type IntelXeon_E7_4809V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4809V2
    abstract type IntelXeon_E7_4820V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4820V2
    abstract type IntelXeon_E7_4830V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4830V2
    abstract type IntelXeon_E7_4850V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4850V2
    abstract type IntelXeon_E7_4860V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4860V2
    abstract type IntelXeon_E7_4870V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4870V2
    abstract type IntelXeon_E7_4880V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4880V2
    abstract type IntelXeon_E7_4890V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_4890V2
    abstract type IntelXeon_E7_8850V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8850V2
    abstract type IntelXeon_E7_8857V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8857V2
    abstract type IntelXeon_E7_8870V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8870V2
    abstract type IntelXeon_E7_8880V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8880V2
    abstract type IntelXeon_E7_8880LV2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8880LV2
    abstract type IntelXeon_E7_8890V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8890V2
    abstract type IntelXeon_E7_8891V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8891V2
    abstract type IntelXeon_E7_8893V2 <: IntelXeon_E7_v2 end; export IntelXeon_E7_8893V2
    abstract type IntelXeon_E7_2803 <: IntelXeon_E7 end; export IntelXeon_E7_2803
    abstract type IntelXeon_E7_2820 <: IntelXeon_E7 end; export IntelXeon_E7_2820
    abstract type IntelXeon_E7_2830 <: IntelXeon_E7 end; export IntelXeon_E7_2830
    abstract type IntelXeon_E7_2850 <: IntelXeon_E7 end; export IntelXeon_E7_2850
    abstract type IntelXeon_E7_2860 <: IntelXeon_E7 end; export IntelXeon_E7_2860
    abstract type IntelXeon_E7_2870 <: IntelXeon_E7 end; export IntelXeon_E7_2870
    abstract type IntelXeon_E7_4807 <: IntelXeon_E7 end; export IntelXeon_E7_4807
    abstract type IntelXeon_E7_4820 <: IntelXeon_E7 end; export IntelXeon_E7_4820
    abstract type IntelXeon_E7_4830 <: IntelXeon_E7 end; export IntelXeon_E7_4830
    abstract type IntelXeon_E7_4850 <: IntelXeon_E7 end; export IntelXeon_E7_4850
    abstract type IntelXeon_E7_4860 <: IntelXeon_E7 end; export IntelXeon_E7_4860
    abstract type IntelXeon_E7_4870 <: IntelXeon_E7 end; export IntelXeon_E7_4870
    abstract type IntelXeon_E7_8830 <: IntelXeon_E7 end; export IntelXeon_E7_8830
    abstract type IntelXeon_E7_8837 <: IntelXeon_E7 end; export IntelXeon_E7_8837
    abstract type IntelXeon_E7_8850 <: IntelXeon_E7 end; export IntelXeon_E7_8850
    abstract type IntelXeon_E7_8860 <: IntelXeon_E7 end; export IntelXeon_E7_8860
    abstract type IntelXeon_E7_8867L <: IntelXeon_E7 end; export IntelXeon_E7_8867L
    abstract type IntelXeon_E7_8870 <: IntelXeon_E7 end; export IntelXeon_E7_8870
    abstract type IntelXeon_E5_2699AV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2699AV4
    abstract type IntelXeon_E5_2699RV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2699RV4
    abstract type IntelXeon_E5_4610V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4610V4
    abstract type IntelXeon_E5_4620V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4620V4
    abstract type IntelXeon_E5_4627V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4627V4
    abstract type IntelXeon_E5_4628LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4628LV4
    abstract type IntelXeon_E5_4640V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4640V4
    abstract type IntelXeon_E5_4650V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4650V4
    abstract type IntelXeon_E5_4655V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4655V4
    abstract type IntelXeon_E5_4660V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4660V4
    abstract type IntelXeon_E5_4667V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4667V4
    abstract type IntelXeon_E5_4669V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_4669V4
    abstract type IntelXeon_E5_1620V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_1620V4
    abstract type IntelXeon_E5_1630V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_1630V4
    abstract type IntelXeon_E5_1650V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_1650V4
    abstract type IntelXeon_E5_1660V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_1660V4
    abstract type IntelXeon_E5_1680V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_1680V4
    abstract type IntelXeon_E5_2603V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2603V4
    abstract type IntelXeon_E5_2608LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2608LV4
    abstract type IntelXeon_E5_2609V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2609V4
    abstract type IntelXeon_E5_2618LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2618LV4
    abstract type IntelXeon_E5_2620V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2620V4
    abstract type IntelXeon_E5_2623V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2623V4
    abstract type IntelXeon_E5_2628LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2628LV4
    abstract type IntelXeon_E5_2630V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2630V4
    abstract type IntelXeon_E5_2630LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2630LV4
    abstract type IntelXeon_E5_2637V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2637V4
    abstract type IntelXeon_E5_2640V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2640V4
    abstract type IntelXeon_E5_2643V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2643V4
    abstract type IntelXeon_E5_2648LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2648LV4
    abstract type IntelXeon_E5_2650V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2650V4
    abstract type IntelXeon_E5_2650LV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2650LV4
    abstract type IntelXeon_E5_2658V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2658V4
    abstract type IntelXeon_E5_2660V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2660V4
    abstract type IntelXeon_E5_2667V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2667V4
    abstract type IntelXeon_E5_2680V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2680V4
    abstract type IntelXeon_E5_2683V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2683V4
    abstract type IntelXeon_E5_2686V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2686V4
    abstract type IntelXeon_E5_2687WV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2687WV4
    abstract type IntelXeon_E5_2690V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2690V4
    abstract type IntelXeon_E5_2695V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2695V4
    abstract type IntelXeon_E5_2697V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2697V4
    abstract type IntelXeon_E5_2697AV4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2697AV4
    abstract type IntelXeon_E5_2698V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2698V4
    abstract type IntelXeon_E5_2699V4 <: IntelXeon_E5_v4 end; export IntelXeon_E5_2699V4
    abstract type IntelXeon_E5_4610V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4610V3
    abstract type IntelXeon_E5_4620V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4620V3
    abstract type IntelXeon_E5_4627V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4627V3
    abstract type IntelXeon_E5_4640V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4640V3
    abstract type IntelXeon_E5_4648V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4648V3
    abstract type IntelXeon_E5_4650V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4650V3
    abstract type IntelXeon_E5_4655V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4655V3
    abstract type IntelXeon_E5_4660V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4660V3
    abstract type IntelXeon_E5_4667V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4667V3
    abstract type IntelXeon_E5_4669V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_4669V3
    abstract type IntelXeon_E5_2658AV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2658AV3
    abstract type IntelXeon_E5_1428LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1428LV3
    abstract type IntelXeon_E5_2408LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2408LV3
    abstract type IntelXeon_E5_2418LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2418LV3
    abstract type IntelXeon_E5_2428LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2428LV3
    abstract type IntelXeon_E5_2438LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2438LV3
    abstract type IntelXeon_E5_1620V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1620V3
    abstract type IntelXeon_E5_1630V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1630V3
    abstract type IntelXeon_E5_1650V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1650V3
    abstract type IntelXeon_E5_1660V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1660V3
    abstract type IntelXeon_E5_1680V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_1680V3
    abstract type IntelXeon_E5_2603V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2603V3
    abstract type IntelXeon_E5_2608LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2608LV3
    abstract type IntelXeon_E5_2609V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2609V3
    abstract type IntelXeon_E5_2618LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2618LV3
    abstract type IntelXeon_E5_2620V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2620V3
    abstract type IntelXeon_E5_2623V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2623V3
    abstract type IntelXeon_E5_2628LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2628LV3
    abstract type IntelXeon_E5_2630V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2630V3
    abstract type IntelXeon_E5_2630LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2630LV3
    abstract type IntelXeon_E5_2637V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2637V3
    abstract type IntelXeon_E5_2640V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2640V3
    abstract type IntelXeon_E5_2643V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2643V3
    abstract type IntelXeon_E5_2648LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2648LV3
    abstract type IntelXeon_E5_2650V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2650V3
    abstract type IntelXeon_E5_2650LV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2650LV3
    abstract type IntelXeon_E5_2658V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2658V3
    abstract type IntelXeon_E5_2660V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2660V3
    abstract type IntelXeon_E5_2667V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2667V3
    abstract type IntelXeon_E5_2670V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2670V3
    abstract type IntelXeon_E5_2676V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2676V3
    abstract type IntelXeon_E5_2680V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2680V3
    abstract type IntelXeon_E5_2683V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2683V3
    abstract type IntelXeon_E5_2687WV3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2687WV3
    abstract type IntelXeon_E5_2690V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2690V3
    abstract type IntelXeon_E5_2695V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2695V3
    abstract type IntelXeon_E5_2697V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2697V3
    abstract type IntelXeon_E5_2698V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2698V3
    abstract type IntelXeon_E5_2699V3 <: IntelXeon_E5_v3 end; export IntelXeon_E5_2699V3
    abstract type IntelXeon_E5_4603V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4603V2
    abstract type IntelXeon_E5_4607V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4607V2
    abstract type IntelXeon_E5_4610V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4610V2
    abstract type IntelXeon_E5_4620V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4620V2
    abstract type IntelXeon_E5_4624LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4624LV2
    abstract type IntelXeon_E5_4627V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4627V2
    abstract type IntelXeon_E5_4640V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4640V2
    abstract type IntelXeon_E5_4650V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4650V2
    abstract type IntelXeon_E5_4657LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_4657LV2
    abstract type IntelXeon_E5_1428LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_1428LV2
    abstract type IntelXeon_E5_2403V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2403V2
    abstract type IntelXeon_E5_2407V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2407V2
    abstract type IntelXeon_E5_2418LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2418LV2
    abstract type IntelXeon_E5_2420V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2420V2
    abstract type IntelXeon_E5_2428LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2428LV2
    abstract type IntelXeon_E5_2430V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2430V2
    abstract type IntelXeon_E5_2430LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2430LV2
    abstract type IntelXeon_E5_2440V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2440V2
    abstract type IntelXeon_E5_2448LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2448LV2
    abstract type IntelXeon_E5_2450V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2450V2
    abstract type IntelXeon_E5_2450LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2450LV2
    abstract type IntelXeon_E5_2470V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2470V2
    abstract type IntelXeon_E5_1620V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_1620V2
    abstract type IntelXeon_E5_1650V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_1650V2
    abstract type IntelXeon_E5_1660V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_1660V2
    abstract type IntelXeon_E5_2603V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2603V2
    abstract type IntelXeon_E5_2609V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2609V2
    abstract type IntelXeon_E5_2618LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2618LV2
    abstract type IntelXeon_E5_2620V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2620V2
    abstract type IntelXeon_E5_2628LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2628LV2
    abstract type IntelXeon_E5_2630V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2630V2
    abstract type IntelXeon_E5_2630LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2630LV2
    abstract type IntelXeon_E5_2637V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2637V2
    abstract type IntelXeon_E5_2640V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2640V2
    abstract type IntelXeon_E5_2643V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2643V2
    abstract type IntelXeon_E5_2648LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2648LV2
    abstract type IntelXeon_E5_2650V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2650V2
    abstract type IntelXeon_E5_2650LV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2650LV2
    abstract type IntelXeon_E5_2658V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2658V2
    abstract type IntelXeon_E5_2660V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2660V2
    abstract type IntelXeon_E5_2667V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2667V2
    abstract type IntelXeon_E5_2670V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2670V2
    abstract type IntelXeon_E5_2680V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2680V2
    abstract type IntelXeon_E5_2687WV2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2687WV2
    abstract type IntelXeon_E5_2690V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2690V2
    abstract type IntelXeon_E5_2695V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2695V2
    abstract type IntelXeon_E5_2697V2 <: IntelXeon_E5_v2 end; export IntelXeon_E5_2697V2
    abstract type IntelXeon_E5_1428L <: IntelXeon_E5 end; export IntelXeon_E5_1428L
    abstract type IntelXeon_E5_2403 <: IntelXeon_E5 end; export IntelXeon_E5_2403
    abstract type IntelXeon_E5_2407 <: IntelXeon_E5 end; export IntelXeon_E5_2407
    abstract type IntelXeon_E5_2418L <: IntelXeon_E5 end; export IntelXeon_E5_2418L
    abstract type IntelXeon_E5_2420 <: IntelXeon_E5 end; export IntelXeon_E5_2420
    abstract type IntelXeon_E5_2428L <: IntelXeon_E5 end; export IntelXeon_E5_2428L
    abstract type IntelXeon_E5_2430 <: IntelXeon_E5 end; export IntelXeon_E5_2430
    abstract type IntelXeon_E5_2430L <: IntelXeon_E5 end; export IntelXeon_E5_2430L
    abstract type IntelXeon_E5_2440 <: IntelXeon_E5 end; export IntelXeon_E5_2440
    abstract type IntelXeon_E5_2448L <: IntelXeon_E5 end; export IntelXeon_E5_2448L
    abstract type IntelXeon_E5_2450 <: IntelXeon_E5 end; export IntelXeon_E5_2450
    abstract type IntelXeon_E5_2450L <: IntelXeon_E5 end; export IntelXeon_E5_2450L
    abstract type IntelXeon_E5_2470 <: IntelXeon_E5 end; export IntelXeon_E5_2470
    abstract type IntelXeon_E5_4603 <: IntelXeon_E5 end; export IntelXeon_E5_4603
    abstract type IntelXeon_E5_4607 <: IntelXeon_E5 end; export IntelXeon_E5_4607
    abstract type IntelXeon_E5_4610 <: IntelXeon_E5 end; export IntelXeon_E5_4610
    abstract type IntelXeon_E5_4617 <: IntelXeon_E5 end; export IntelXeon_E5_4617
    abstract type IntelXeon_E5_4620 <: IntelXeon_E5 end; export IntelXeon_E5_4620
    abstract type IntelXeon_E5_4640 <: IntelXeon_E5 end; export IntelXeon_E5_4640
    abstract type IntelXeon_E5_4650 <: IntelXeon_E5 end; export IntelXeon_E5_4650
    abstract type IntelXeon_E5_4650L <: IntelXeon_E5 end; export IntelXeon_E5_4650L
    abstract type IntelXeon_E5_1620 <: IntelXeon_E5 end; export IntelXeon_E5_1620
    abstract type IntelXeon_E5_1650 <: IntelXeon_E5 end; export IntelXeon_E5_1650
    abstract type IntelXeon_E5_1660 <: IntelXeon_E5 end; export IntelXeon_E5_1660
    abstract type IntelXeon_E5_2603 <: IntelXeon_E5 end; export IntelXeon_E5_2603
    abstract type IntelXeon_E5_2609 <: IntelXeon_E5 end; export IntelXeon_E5_2609
    abstract type IntelXeon_E5_2620 <: IntelXeon_E5 end; export IntelXeon_E5_2620
    abstract type IntelXeon_E5_2630 <: IntelXeon_E5 end; export IntelXeon_E5_2630
    abstract type IntelXeon_E5_2630L <: IntelXeon_E5 end; export IntelXeon_E5_2630L
    abstract type IntelXeon_E5_2637 <: IntelXeon_E5 end; export IntelXeon_E5_2637
    abstract type IntelXeon_E5_2640 <: IntelXeon_E5 end; export IntelXeon_E5_2640
    abstract type IntelXeon_E5_2643 <: IntelXeon_E5 end; export IntelXeon_E5_2643
    abstract type IntelXeon_E5_2648L <: IntelXeon_E5 end; export IntelXeon_E5_2648L
    abstract type IntelXeon_E5_2650 <: IntelXeon_E5 end; export IntelXeon_E5_2650
    abstract type IntelXeon_E5_2650L <: IntelXeon_E5 end; export IntelXeon_E5_2650L
    abstract type IntelXeon_E5_2658 <: IntelXeon_E5 end; export IntelXeon_E5_2658
    abstract type IntelXeon_E5_2660 <: IntelXeon_E5 end; export IntelXeon_E5_2660
    abstract type IntelXeon_E5_2665 <: IntelXeon_E5 end; export IntelXeon_E5_2665
    abstract type IntelXeon_E5_2667 <: IntelXeon_E5 end; export IntelXeon_E5_2667
    abstract type IntelXeon_E5_2670 <: IntelXeon_E5 end; export IntelXeon_E5_2670
    abstract type IntelXeon_E5_2680 <: IntelXeon_E5 end; export IntelXeon_E5_2680
    abstract type IntelXeon_E5_2687W <: IntelXeon_E5 end; export IntelXeon_E5_2687W
    abstract type IntelXeon_E5_2690 <: IntelXeon_E5 end; export IntelXeon_E5_2690
    abstract type IntelXeon_E3_1220V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1220V6
    abstract type IntelXeon_E3_1230V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1230V6
    abstract type IntelXeon_E3_1240V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1240V6
    abstract type IntelXeon_E3_1270V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1270V6
    abstract type IntelXeon_E3_1280V6 <: IntelXeon_E3_v6 end; export IntelXeon_E3_1280V6
    abstract type IntelXeon_E3_1558LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1558LV5
    abstract type IntelXeon_E3_1220V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1220V5
    abstract type IntelXeon_E3_1230V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1230V5
    abstract type IntelXeon_E3_1240V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1240V5
    abstract type IntelXeon_E3_1240LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1240LV5
    abstract type IntelXeon_E3_1260LV5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1260LV5
    abstract type IntelXeon_E3_1270V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1270V5
    abstract type IntelXeon_E3_1280V5 <: IntelXeon_E3_v5 end; export IntelXeon_E3_1280V5
    abstract type IntelXeon_E3_1258LV4 <: IntelXeon_E3_v4 end; export IntelXeon_E3_1258LV4
    abstract type IntelXeon_E3_1265LV4 <: IntelXeon_E3_v4 end; export IntelXeon_E3_1265LV4
    abstract type IntelXeon_E3_1278LV4 <: IntelXeon_E3_v4 end; export IntelXeon_E3_1278LV4
    abstract type IntelXeon_E3_1285V4 <: IntelXeon_E3_v4 end; export IntelXeon_E3_1285V4
    abstract type IntelXeon_E3_1285LV4 <: IntelXeon_E3_v4 end; export IntelXeon_E3_1285LV4
    abstract type IntelXeon_E3_1226V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1226V3
    abstract type IntelXeon_E3_1231V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1231V3
    abstract type IntelXeon_E3_1240LV3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1240LV3
    abstract type IntelXeon_E3_1241V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1241V3
    abstract type IntelXeon_E3_1246V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1246V3
    abstract type IntelXeon_E3_1271V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1271V3
    abstract type IntelXeon_E3_1276V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1276V3
    abstract type IntelXeon_E3_1281V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1281V3
    abstract type IntelXeon_E3_1286V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1286V3
    abstract type IntelXeon_E3_1286LV3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1286LV3
    abstract type IntelXeon_E3_1220LV3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1220LV3
    abstract type IntelXeon_E3_1220_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1220_v3
    abstract type IntelXeon_E3_1225V3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1225V3
    abstract type IntelXeon_E3_1230_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1230_v3
    abstract type IntelXeon_E3_1230Lv3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1230Lv3
    abstract type IntelXeon_E3_1240_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1240_v3
    abstract type IntelXeon_E3_1245_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1245_v3
    abstract type IntelXeon_E3_1270_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1270_v3
    abstract type IntelXeon_E3_1275_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1275_v3
    abstract type IntelXeon_E3_1280_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1280_v3
    abstract type IntelXeon_E3_1285_v3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1285_v3
    abstract type IntelXeon_E3_1285Lv3 <: IntelXeon_E3_v3 end; export IntelXeon_E3_1285Lv3
    abstract type IntelXeon_E3_1105CV2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1105CV2
    abstract type IntelXeon_E3_1125CV2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1125CV2
    abstract type IntelXeon_E3_1220V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1220V2
    abstract type IntelXeon_E3_1220LV2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1220LV2
    abstract type IntelXeon_E3_1225V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1225V2
    abstract type IntelXeon_E3_1230V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1230V2
    abstract type IntelXeon_E3_1240V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1240V2
    abstract type IntelXeon_E3_1245V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1245V2
    abstract type IntelXeon_E3_1270V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1270V2
    abstract type IntelXeon_E3_1275V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1275V2
    abstract type IntelXeon_E3_1280V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1280V2
    abstract type IntelXeon_E3_1290V2 <: IntelXeon_E3_v2 end; export IntelXeon_E3_1290V2
    abstract type IntelXeon_E3_1105C <: IntelXeon_E3 end; export IntelXeon_E3_1105C
    abstract type IntelXeon_E3_1125C <: IntelXeon_E3 end; export IntelXeon_E3_1125C
    abstract type IntelXeon_E3_1290 <: IntelXeon_E3 end; export IntelXeon_E3_1290
    abstract type IntelXeon_E3_1220 <: IntelXeon_E3 end; export IntelXeon_E3_1220
    abstract type IntelXeon_E3_1220L <: IntelXeon_E3 end; export IntelXeon_E3_1220L
    abstract type IntelXeon_E3_1225 <: IntelXeon_E3 end; export IntelXeon_E3_1225
    abstract type IntelXeon_E3_1230 <: IntelXeon_E3 end; export IntelXeon_E3_1230
    abstract type IntelXeon_E3_1235 <: IntelXeon_E3 end; export IntelXeon_E3_1235
    abstract type IntelXeon_E3_1240 <: IntelXeon_E3 end; export IntelXeon_E3_1240
    abstract type IntelXeon_E3_1245 <: IntelXeon_E3 end; export IntelXeon_E3_1245
    abstract type IntelXeon_E3_1270 <: IntelXeon_E3 end; export IntelXeon_E3_1270
    abstract type IntelXeon_E3_1275 <: IntelXeon_E3 end; export IntelXeon_E3_1275
    abstract type IntelXeon_E3_1280 <: IntelXeon_E3 end; export IntelXeon_E3_1280
